Subject: [bug#64109] [PATCH 1/2] gnu: dpf-plugins: Update to 1.7.

From: Thorsten Wilms <[email-masked]>
Date: Fri, 15 Sep 2023 09:35:39 +0200

On Thu, 14 Sep 2023 23:05:40 +0200
Ludovic Courtès <[email-masked]> wrote:

> At first sight I think this is incorrect: search paths should be
> specified in the patch that honors them.  See
> <https://guix.gnu.org/manual/devel/en/html_node/Search-Paths.html>.
> 
> Am I right that ‘dnf-plugins’ does not honor them, but instead ‘ladspa’
> (maybe?) does?  (I’m no expert here.)

Plugins definitively don’t need the search paths. Seeing how ardour is
defined without, it must mean even hosts don’t need them, only the
relevant libraries must have them. audio.scm seems to be sprinkled
with unnecessary search path definitions, aiding in the ongoing
confusion.

-- 
Thorsten Wilms <[email-masked]>